#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi                                               

# build depends 
export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export LDFLAGS="-Wl,-O1"
su -c 'tce-load -i compiletc submitqc4 wget' tc 
## ghostscript_common has ps2pdf but no db2ps so not used so no pdf docs

I=ijs
V=ijs-dev
SRC=ijs-0.35

# start
cd /tmp
su -c '/usr/local/bin/wget -nc http://www.openprinting.org/download/ijs/download/ijs-0.35.tar.gz -O /tmp/ijs-0.35.tar.gz' tc
tar xvf ijs*gz
cd $SRC/
./configure --enable-shared 
make -j3
make DESTDIR=/tmp/$I install

# missing COPYING, LICENSE and AUTHORS so use
# one of the header files to act as license

# dev 
#####
cd /tmp
mkdir -p $V/usr/local/share/doc/$V
mkdir -p $V/usr/local/lib
mv $I/usr/local/include $V/usr/local
mv $I/usr/local/lib/pkgconfig $V/usr/local/lib
mv $I/usr/local/lib/*a $V/usr/local/lib
cp $SRC/$I.h $V/usr/local/share/doc/$V/LICENSE

# fix some permissions----static only
chmod 644 $V/usr/local/lib/*a

mksquashfs $V $V.tcz
md5sum $V.tcz > $V.tcz.md5.txt
cd /tmp/$V
find usr -not -type d > $V.tcz.list
mv $V.tcz.list /tmp

# main
# leave the manpage in main but move it to correct position
cd /tmp
mkdir -p $I/usr/local/share/doc/$I
cp $SRC/$I.h $I/usr/local/share/doc/$I/LICENSE
mv $I/usr/local/man $I/usr/local/share/

# permisions 
chmod 644 $I/usr/local/share/doc/$I/LICENSE

mksquashfs $I $I.tcz
md5sum $I.tcz > $I.tcz.md5.txt
cd $I
find usr -not -type d > $I.tcz.list
mv $I.tcz.list /tmp

# finish off
cd /tmp
submitqc4
